Summary:       A desktop calculator
Name:          gnome-calculator
Version:       43.0.1
Release:       5%{?dist}
License:       GPLv3+
URL:           https://wiki.gnome.org/Apps/Calculator
Source0:       https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils gettext itstool libmpc-devel meson mpfr-devel pkgconfig(gee-0.8)
BuildRequires: pkgconfig(gtk4) pkgconfig(glib-2.0) pkgconfig(gtksourceview-5) pkgconfig(libadwaita-1)
BuildRequires: vala pkgconfig(libsoup-3.0) pkgconfig(libxml-2.0)
BuildRequires: /usr/bin/appstream-util
Requires:      gtksourceview5 libadwaita

%description
gnome-calculator is a powerful graphical calculator with financial, logical and scientific modes. It
uses a multiple precision package to do its arithmetic to give a high degree of accuracy.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome --all-name

%check
appstream-util validate-relax --nonet %{buildroot}/%{_metainfodir}/org.gnome.Calculator.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.Calculator.desktop

%files -f %{name}.lang
%license COPYING
%doc NEWS README.md
%{_bindir}/gcalccmd
%{_bindir}/gnome-calculator
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GCalc-2.typelib
%{_libdir}/girepository-1.0/GCi-1.typelib
%{_libdir}/libgcalc-2.so.1*
%{_libdir}/libgci-1.so.0*
%{_libexecdir}/gnome-calculator-search-provider
%{_datadir}/applications/org.gnome.Calculator.desktop
%{_datadir}/dbus-1/services/org.gnome.Calculator.SearchProvider.service
%{_datadir}/glib-2.0/schemas/org.gnome.calculator.gschema.xml
%{_datadir}/gnome-shell/
%{_datadir}/icons/hicolor/*/apps/org.gnome.Calculator.*
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Calculator-symbolic.svg
%{_metainfodir}/org.gnome.Calculator.appdata.xml
%{_mandir}/man1/gnome-calculator.1*
%{_mandir}/man1/gcalccmd.1*

%files devel
%{_includedir}/gci-2/
%{_includedir}/gcalc-2/
%{_libdir}/libgcalc-2.so
%{_libdir}/libgci-1.so
%{_libdir}/pkgconfig/gcalc-2.pc
%{_libdir}/pkgconfig/gci-1.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GCalc-2.gir
%{_datadir}/gir-1.0/GCi-1.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gcalc-2.deps
%{_datadir}/vala/vapi/gcalc-2.vapi
%{_datadir}/vala/vapi/gci-1.deps
%{_datadir}/vala/vapi/gci-1.vapi

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 43.0.1-1
- initial build
